import Request from "./Request.js";
export default function orderTicket() {
  var now = new Date();
  var month = now.getMonth() + 1;
  var day = now.getDate();
  if (month < 10) month = "0" + month;
  if (day < 10) day = "0" + day;
  var today = now.getFullYear() + "-" + month + "-" + day;
  const sp = `
    <input type="date" id="date" value="${today}">
    <input type="time" id="time">
    <div id="orderSelect"></div>
    <button  class="btn btn-primary" id="sent">送出</button>
    <div id="content"></div>
    `;
  function arrivalSelect() {
    Request()
      .get("/index.php?action=getStation")
      .then(function (resp) {
        let response = resp["data"];
        let h = "";
        response.result.forEach(function (item) {
          //   console.log(item);
          h += `<option value="${item.code}">${item.StationName}</option>`;
        });
        let a = `
    <span>到達站：</span>
    <select class="form-class" id="arrival">
        ${h}
    </select>
    `;
        $("#orderSelect").append(a);
      });
  }
  function departureSelect() {
    Request()
      .get("/index.php?action=getStation")
      .then(function (resp) {
        let response = resp["data"];
        let h = "";
        response.result.forEach(function (item) {
          //   console.log(item);
          h += `<option value="${item.code}">${item.StationName}</option>`;
        });
        let a = `
    <span>出發站：</span>
      <select id="dept">
          ${h}
      </select>
      `;
        $("#orderSelect").append(a);
      });
  }

  function rederTable(order) {
    let h = `
    <table id="orderTable" class="table table-striped">
    <tr>
        <th>列車編號</th>
        <th>行駛時間</th>
        <th>車票價格</th>
        <th>購買</th>
    </tr>
    `;
    let total = 0;
    // let order = JSON.parse(localStorage.getItem("order"));
    order.forEach(function (item) {
      h += `
      <tr>
          <td>${item.Train}</td>
          <td>${item.Time}</td>
          <td>${item.Price}</td>
          <td><button class="buy btn btn-primary" id="${item.Train}" value="${item.Price}">購買</td>
      </tr>
      `;
    });
    h += `
    </table>
    `;
    $("#content").html(h);
    $(".buy").click(function (e) {
      let date = $("#date").val();
      let Trans_ID = this.id;
      let price = $(this).val();
      let arrival = $("#arrival").val();
      let dept = $("#dept").val();
      console.log(this.id);
      if (confirm("確定購買嗎？") == true) {
        let type = prompt("輸入要購買的座位類型(0)普通座位(1)商務座位");
        buyTickets(date, Trans_ID, price, arrival, dept, type);
      }
    });
  }
  departureSelect();
  arrivalSelect();
  $("#root").html(sp);
  $("#sent").click(function (e) {
    const data = {
      arrival: $("#arrival").val(),
      dept: $("#dept").val(),
      dept_Time: $("#time").val(),
    };
    Request()
      .post("/index.php?action=getTrainsTime", Qs.stringify(data))
      .then(function (resp) {
        let response = resp["data"];
        console.log(response);
        if (window.localStorage) {
          //儲存到 local storage
          window.localStorage.setItem("jwtToken", response["token"]);
          console.log(window.localStorage.getItem("jwtToken"));
        }
        // window.location.reload(); //重新載入網頁
        rederTable(response.result);
      })
      .catch(function (err) {
        console.log(err);
      });
  });

  function buyTickets(date, Trans_ID, price, arrival, dept, type) {
    let data1 = {
      Date: date,
      Trans_ID: Trans_ID,
      Price: price,
      arrival: arrival,
      dept: dept,
      Type: type,
    };
    Request()
      .post("/index.php?action=orderTickets", Qs.stringify(data1))
      .then(function (resp) {
        let response = resp["data"];
        console.log(response);
        if (window.localStorage) {
          //儲存到 local storage
          window.localStorage.setItem("jwtToken", response["token"]);
        }

        if (response.status != 200) {
          alert("購買失敗");
        } else {
          alert("購買成功");
        }
      })
      .catch(function (err) {
        console.log(err);
      });
  }
}
